<?php

namespace App\Controllers;


class Cierremes extends BaseController
{
	public function fechascerrarmes()
	{		
		

		echo view("layouts/header");
		echo view("layouts/aside");
		echo view("cierremes/fechascierremes");
		echo view("layouts/footer");


		
	}
	public function cerrarmes()
	{		
		$session = \Config\Services::session();
		if(empty($this->request->getPost('mes'))){
			$session->setFlashdata('mensaje_malo', 'Por favor ingrese el mes que desea cerrar');
			return redirect()->to(base_url('reporte/fechascerrarmes'));
		}
		$mes= $this->request->getPost('mes');	
		$datos_post = http_build_query(
			array(
				'mes'=>$mes,
			)
		);

		$opciones = array('http' =>
			array(
				'method'  => 'POST',
				'header'  => 'Content-type: application/x-www-form-urlencoded',
				'content' => $datos_post
			)
		);

		$contexto = stream_context_create($opciones);
		$resultado = file_get_contents($this->url_api_conciliacion.'historialcierremes', false, $contexto);
		$resultado=json_decode($resultado);
        //print_r($resultado);
		if(!empty($resultado)  ){
			if($resultado->code==200){
				$session->setFlashdata('mensaje_bueno', $resultado->data);
            	return redirect()->to(base_url('Cierremes/fechascerrarmes'));
			}else{
				$session->setFlashdata('mensaje_malo', $resultado->msj);
            	return redirect()->to(base_url('Cierremes/fechascerrarmes'));
			}
		}else{
			$session->setFlashdata('mensaje_malo', $resultado->msj);
            return redirect()->to(base_url('Cierremes/fechascerrarmes'));
		}
		
	}


}